安装Redmine DMSF Plugin

发布时间:2016-12-11 0:58:13 编辑:www.fx114.net 分享查询网我要评论
本篇文章主要介绍了"安装Redmine DMSF Plugin",主要涉及到安装Redmine DMSF Plugin方面的内容,对于安装Redmine DMSF Plugin感兴趣的同学可以参考一下。

D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>rake redmine:plugins:migrate  RAILS_ENV=production (in D:/soft/redmine-2.4.2-0/apps/redmine/htdocs) Could not find mini_portile-0.5.1 in any of the sources Run `bundle install` to install missing gems. D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>bundle install You are trying to install in deployment mode after changing your Gemfile. Run `bundle install` elsewhere and add the updated Gemfile.lock to version control. If this is a development machine, remove the Gemfile freeze by running `bundle install --no-deployment`. You have added to the Gemfile: * rubyzip (>= 1.0.0) * zip-zip * simple_enum * uuidtools (~> 2.1.1) * nokogiri (>= 1.5.10) * xapian-full D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>rake redmine:plugins:migrate  RAILS_ENV=production (in D:/soft/redmine-2.4.2-0/apps/redmine/htdocs) Could not find mini_portile-0.5.1 in any of the sources Run `bundle install` to install missing gems. D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>bundle install You are trying to install in deployment mode after changing your Gemfile. Run `bundle install` elsewhere and add the updated Gemfile.lock to version control. If this is a development machine, remove the Gemfile freeze by running `bundle install --no-deployment`. You have added to the Gemfile: * rubyzip (>= 1.0.0) * zip-zip * simple_enum * uuidtools (~> 2.1.1) * nokogiri (>= 1.5.10) * xapian-full D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>bundle install --no-deployme nt Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/.. Fetching gem metadata from https://rubygems.org/.. Resolving dependencies... You have requested:   rubyzip >= 1.0.0 The bundle currently has rubyzip locked at 0.9.9. Try running `bundle update rubyzip` D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>bundle update rubyzip Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/......... Fetching gem metadata from https://rubygems.org/.. Fetching gem metadata from https://rubygems.org/.. Resolving dependencies... Using rake (10.1.0) Installing i18n (0.6.9) Installing multi_json (1.8.2) Using activesupport (3.2.16) Using builder (3.0.0) Using activemodel (3.2.16) Using erubis (2.7.0) Using journey (1.0.4) Using rack (1.4.5) Using rack-cache (1.2) Installing rack-test (0.6.2) Installing hike (1.2.3) Installing tilt (1.4.1) Installing sprockets (2.2.2) Using actionpack (3.2.16) Installing mime-types (1.25.1) Using polyglot (0.3.3) Installing treetop (1.4.15) Using mail (2.5.4) Using actionmailer (3.2.16) Installing arel (3.0.3) Installing tzinfo (0.3.38) Using activerecord (3.2.16) Using activeresource (3.2.16) Using bundler (1.3.5) Installing coderay (1.1.0) Installing daemons (1.1.9) Installing eventmachine (1.0.3) Installing rack-ssl (1.3.3) Installing json (1.8.1) Installing rdoc (3.12.2) Installing thor (0.18.1) Using railties (3.2.16) Installing jquery-rails (2.0.3) Installing mini_portile (0.5.1) Using mysql2 (0.3.11) Installing net-ldap (0.3.1) Using nokogiri (1.6.0) Installing ruby-openid (2.3.0) Installing rack-openid (1.3.1) Using rails (3.2.16) Installing rmagick (2.13.1) Installing rubyzip (1.1.0) Installing simple_enum (1.6.8) Installing thin (1.3.1) Installing uuidtools (2.1.4) Installing xapian-full (1.2.3) Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension .         "D:/soft/redmine-2.4.2-0/ruby/bin/ruby.exe" -rubygems D:/soft/redmine-2. 4.2-0/ruby/lib/ruby/gems/1.9.1/gems/rake-10.1.0/bin/rake RUBYARCHDIR=D:/soft/red mine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-full-1.2.3/lib RUBYLIBDIR=D:/s oft/redmine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-full-1.2.3/lib D:/soft/redmine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-full-1.2.3/rakefile :2: Use RbConfig instead of obsolete and deprecated Config. rake aborted! Tasks: TOP => default (See full trace by running task with --trace) tar -xzvf xapian-core-1.2.3.tar.gz Gem files will remain installed in D:/soft/redmine-2.4.2-0/ruby/lib/ruby/gems/1. 9.1/gems/xapian-full-1.2.3 for inspection. Results logged to D:/soft/redmine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-f ull-1.2.3/./gem_make.out An error occurred while installing xapian-full (1.2.3), and Bundler cannot continue. Make sure that `gem install xapian-full -v '1.2.3'` succeeds before bundling. D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>gem install xapian-full -v ' 1.2.3' Temporarily enhancing PATH to include DevKit... Building native extensions.  This could take a while... ERROR:  Error installing xapian-full:         ERROR: Failed to build gem native extension.         "D:/soft/redmine-2.4.2-0/ruby/bin/ruby.exe" -rubygems D:/soft/redmine-2. 4.2-0/ruby/lib/ruby/gems/1.9.1/gems/rake-10.1.0/bin/rake RUBYARCHDIR=D:/soft/red mine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-full-1.2.3/lib RUBYLIBDIR=D:/s oft/redmine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-full-1.2.3/lib D:/soft/redmine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-full-1.2.3/rakefile :2: Use RbConfig instead of obsolete and deprecated Config. rake aborted! Tasks: TOP => default (See full trace by running task with --trace) tar -xzvf xapian-core-1.2.3.tar.gz Gem files will remain installed in D:/soft/redmine-2.4.2-0/ruby/lib/ruby/gems/1. 9.1/gems/xapian-full-1.2.3 for inspection. Results logged to D:/soft/redmine-2.4.2-0/ruby/lib/ruby/gems/1.9.1/gems/xapian-f ull-1.2.3/./gem_make.out D:\soft\redmine-2.4.2-0\apps\redmine\htdocs\plugins>tar -xzvf xapian-core-1.2.3. tar.gz 'tar' 不是内部或外部命令,也不是可运行的程序 或批处理文件。

上一篇:历届试题 错误票据
下一篇:Aix6.1

相关文章

相关评论